getCustodyFundDisbursements

This method is used to get the current Fund Move Status for Custody fund moves.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
filternostringfilter by parameters such as {"requestId":"",accountId":""}

Sample Request

curl -k -X POST https://tapi-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getCustodyFundsDisbursement
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
custodyTransactionstring

Sample Response

{
    "statusCode": "101",
    "statusDesc": "Ok",
    "custodyFundDisbursements": [
        {
            "requestId": "baca4059-e3af-43a4-a86b-4838c91be975",
            "accountId": "A98780730",
            "amount": "20.20",
            "type": "wire_domestic",
            "bankId": "122100024",
            "bankAccountId": "12345688",
            "additionalDetails": "",
            "status": "pending",
            "createdDate": "2024-11-26 20:51:40",
            "updatedDate": "2024-11-26 20:52:43"
        },
        {
            "requestId": "953cfa35-37c2-4360-b2ed-78db9fb8b331",
            "accountId": "A98780730",
            "amount": "20.20",
            "type": "ach",
            "bankId": "",
            "bankAccountId": "",
            "additionalDetails": "",
            "status": "pending",
            "createdDate": "2024-11-26 17:23:05",
            "updatedDate": "2024-11-26 17:23:05"
        },
        {
            "requestId": "002717a3-a612-4e94-b517-3f4dbd79b523",
            "accountId": "A98780730",
            "amount": "20.20",
            "type": "ach",
            "bankId": "",
            "bankAccountId": "",
            "additionalDetails": "test",
            "status": "pending",
            "createdDate": "2024-11-26 15:45:51",
            "updatedDate": "2024-11-26 15:45:51"
        }
    ],
    "pagination": {
        "totalRecords": 3,
        "startIndex": 0,
        "endIndex": 2
    }
}

Test it Yourself!

Query Params
int32
Defaults to 0

The row index at which to begin the query. Zero represents the first account in the list.

int32
Defaults to 10

The maximum number of accounts to return. Max value is 500.

Body Params
string
required
string
required
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!